OnlyFans API
OnlyFansFree Trial LinksStored Free Trial Links

List Stored Free Trial Links

List all stored free trial links from the OnlyFansAPI Cache. This is a free endpoint that does not call the OnlyFans API.

GET
/api/{account}/stored/trial-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

limit?integer

The number of trial links to return. Default 10. Must be at least 1. Must not be greater than 1000.

offset?integer

The offset used for pagination. Default 0. Must be at least 0.

filter?object
filter.include_smart_links?boolean
filter.search?string|null

Must not be greater than 255 characters.

filter.tags?array<string>

Must not be greater than 50 characters.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/stored/trial-links?limit=10&offset=0&filter=&filter.include_smart_links=false&filter.search=rdowohpxoqpaap&filter.tags=c"
{
  "data": {
    "list": [
      {
        "id": 123,
        "trialLinkName": "Trial link name",
        "url": "https://onlyfans.com/username/trial/abc123",
        "subscribeDays": 30,
        "subscribeCounts": 0,
        "claimCounts": 123,
        "clicksCounts": 182,
        "expiredAt": null,
        "createdAt": "2025-01-01T01:01:01+00:00",
        "isFinished": false,
        "tags": [
          "Instagram",
          "Twitter"
        ],
        "revenue": {
          "total": 123,
          "revenuePerSubscriber": 12,
          "spendersCount": 16,
          "calculatedAt": "2025-01-01T01:01:01+00:00",
          "isLoading": false
        },
        "cost": {
          "inputMode": null,
          "inputValue": null,
          "perSub": null,
          "perClick": null,
          "perPromo": null,
          "subscriberSourceCount": 123,
          "clickSourceCount": 182
        },
        "links": {
          "related": {
            "subscribers": "https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers",
            "spenders": "https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/spenders"
          }
        }
      }
    ],
    "hasMore": true
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_abc123/stored/trial-links?limit=10&offset=10"
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 115580,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 997,
      "remaining_day": 49990
    }
  }
}